> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Count contacts matching filter

> Counts contacts matching the same filter shape as `contacts.list`/`contacts.search`, without paginating the rows.



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/contacts/count
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - bearerAuth: []
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/contacts/count:
    get:
      tags:
        - Contacts
      summary: Count contacts matching filter
      description: >-
        Counts contacts matching the same filter shape as
        `contacts.list`/`contacts.search`, without paginating the rows.
      operationId: contacts.count
      parameters:
        - name: page
          in: query
          schema:
            anyOf:
              - type: integer
                minimum: 1
                maximum: 9007199254740991
              - type: 'null'
            description: Page number, starting at 1.
          allowEmptyValue: true
          allowReserved: true
        - name: perPage
          in: query
          schema:
            anyOf:
              - type: integer
                minimum: 1
                maximum: 9007199254740991
              - type: 'null'
            description: Number of items per page.
          allowEmptyValue: true
          allowReserved: true
        - name: sort
          in: query
          schema:
            anyOf:
              - type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    desc:
                      type: boolean
                  required:
                    - id
                    - desc
              - type: 'null'
            description: Sort order as `[{ id, desc }]` column/direction pairs.
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
        - name: keyword
          in: query
          schema:
            type: string
            description: >-
              Case-insensitive substring match against the contact's name,
              email, or phone.
          allowEmptyValue: true
          allowReserved: true
        - name: contactFilter
          in: query
          schema:
            type: object
            properties:
              operator:
                enum:
                  - and
                  - or
                type: string
              conditions:
                type: array
                items:
                  anyOf:
                    - anyOf:
                        - type: object
                          properties:
                            field:
                              const: locale
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: language
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: fullName
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: country
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: continent
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: gender
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: subscribedToBroadcast
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: contactCreatedAt
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: source
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: conversationTransferredToHuman
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: interactedInLast24h
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: followUp
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: archived
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: blocked
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: currentChannel
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: inbox
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: timezone
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: lastSeen
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: lastSent
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: lastInteraction
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: contactCreatedDateMinutesAgo
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: lastSeenMinutesAgo
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: lastInteractionMinutesAgo
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: lastUserInput
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: lastComment
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: lastUserInputType
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: email
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: phone
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: hasContactInfo
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: tags
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: broadcastSent
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: broadcastDelivered
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: broadcastSeen
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: broadcastClicked
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: broadcastFailed
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: subscribedToDripCampaign
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: entryPointsLinks
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: questionnaireStarted
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: questionnaireInProgress
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: questionnaireFinished
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: conversationAssigned
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: unreplied
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: unread
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: existingContact
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: consecutiveAiFailures
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: emailWasVerified
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: optedInForEmail
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: fromCtwaAd
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                        - type: object
                          properties:
                            field:
                              const: ctwaConversion
                            operator:
                              enum:
                                - in
                                - notIn
                                - isEmpty
                                - isNotEmpty
                                - eq
                                - ne
                                - startsWith
                                - endsWith
                                - contains
                                - notContains
                                - lt
                                - lte
                                - gt
                                - gte
                                - isBetween
                                - notBetween
                                - used
                              type: string
                            value:
                              anyOf:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
                                - type: array
                                  items:
                                    type: string
                                    minLength: 1
                                    maxLength: 255
                                - type: array
                                  prefixItems:
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                                    - type: string
                                      minLength: 1
                                      maxLength: 255
                          required:
                            - field
                            - operator
                    - type: object
                      properties:
                        field:
                          const: customField
                        customFieldId:
                          type: string
                          minLength: 1
                        customFieldType:
                          enum:
                            - shortText
                            - email
                            - phoneNumber
                            - number
                            - date
                            - datetime
                            - boolean
                            - longText
                          type: string
                        valueType:
                          enum:
                            - multiSelect
                            - select
                            - text
                            - boolean
                            - datetime
                            - number
                          type: string
                        operator:
                          enum:
                            - in
                            - notIn
                            - isEmpty
                            - isNotEmpty
                            - eq
                            - ne
                            - startsWith
                            - endsWith
                            - contains
                            - notContains
                            - lt
                            - lte
                            - gt
                            - gte
                            - isBetween
                            - notBetween
                            - used
                          type: string
                        value:
                          anyOf:
                            - type: string
                              minLength: 1
                              maxLength: 255
                            - type: array
                              prefixItems:
                                - type: string
                                  minLength: 1
                                  maxLength: 255
[...]
